Index: code/branches/core5/src/orxonox/CameraManager.cc
===================================================================
--- code/branches/core5/src/orxonox/CameraManager.cc	(revision 5863)
+++ code/branches/core5/src/orxonox/CameraManager.cc	(revision 5867)
@@ -26,4 +26,5 @@
  *
  */
+
 #include "CameraManager.h"
 
@@ -37,4 +38,5 @@
 #include "core/GUIManager.h"
 #include "core/ObjectList.h"
+#include "core/ScopedSingletonManager.h"
 #include "tools/Shader.h"
 #include "graphics/Camera.h"
@@ -43,4 +45,5 @@
 namespace orxonox
 {
+    ManageScopedSingleton(CameraManager, ScopeID::Graphics);
     CameraManager* CameraManager::singletonPtr_s = 0;
 
Index: code/branches/core5/src/orxonox/CameraManager.h
===================================================================
--- code/branches/core5/src/orxonox/CameraManager.h	(revision 5863)
+++ code/branches/core5/src/orxonox/CameraManager.h	(revision 5867)
@@ -41,5 +41,5 @@
 #include <list>
 #include "util/OgreForwardRefs.h"
-#include "util/ScopedSingleton.h"
+#include "util/Singleton.h"
 #include "core/OrxonoxClass.h"
 #include "core/SmartPtr.h"
@@ -47,7 +47,7 @@
 namespace orxonox
 {
-    class _OrxonoxExport CameraManager : public ScopedSingleton<CameraManager, ScopeID::Graphics>, public OrxonoxClass
+    class _OrxonoxExport CameraManager : public Singleton<CameraManager>, public OrxonoxClass
     {
-            friend class ScopedSingleton<CameraManager, ScopeID::Graphics>;
+            friend class Singleton<CameraManager>;
         public:
             CameraManager();
Index: code/branches/core5/src/orxonox/LevelManager.cc
===================================================================
--- code/branches/core5/src/orxonox/LevelManager.cc	(revision 5863)
+++ code/branches/core5/src/orxonox/LevelManager.cc	(revision 5867)
@@ -36,4 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/Loader.h"
+#include "core/ScopedSingletonManager.h"
 #include "PlayerManager.h"
 #include "Level.h"
@@ -43,4 +44,5 @@
     SetCommandLineArgument(level, "").shortcut("l").information("Default level file (overrides LevelManager::defaultLevelName_ configValue)");
 
+    ManageScopedSingleton(LevelManager, ScopeID::Root);
     LevelManager* LevelManager::singletonPtr_s = 0;
 
Index: code/branches/core5/src/orxonox/LevelManager.h
===================================================================
--- code/branches/core5/src/orxonox/LevelManager.h	(revision 5863)
+++ code/branches/core5/src/orxonox/LevelManager.h	(revision 5867)
@@ -36,5 +36,5 @@
 #include <string>
 
-#include "util/ScopedSingleton.h"
+#include "util/Singleton.h"
 #include "core/OrxonoxClass.h"
 
@@ -44,7 +44,7 @@
     class _OrxonoxExport LevelManager
     // tolua_end
-        : public ScopedSingleton<LevelManager, ScopeID::Root>, public OrxonoxClass
+        : public Singleton<LevelManager>, public OrxonoxClass
     { // tolua_export
-            friend class ScopedSingleton<LevelManager, ScopeID::Root>;
+            friend class Singleton<LevelManager>;
         public:
             LevelManager();
@@ -63,5 +63,5 @@
 
             static LevelManager* getInstancePtr() { return singletonPtr_s; }
-            static LevelManager& getInstance()    { return ScopedSingleton<LevelManager, ScopeID::Root>::getInstance(); } // tolua_export
+            static LevelManager& getInstance()    { return Singleton<LevelManager>::getInstance(); } // tolua_export
 
         private:
Index: code/branches/core5/src/orxonox/PlayerManager.cc
===================================================================
--- code/branches/core5/src/orxonox/PlayerManager.cc	(revision 5863)
+++ code/branches/core5/src/orxonox/PlayerManager.cc	(revision 5867)
@@ -31,4 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
+#include "core/ScopedSingletonManager.h"
 #include "Level.h"
 #include "infos/HumanPlayer.h"
@@ -38,4 +39,5 @@
 {
     PlayerManager* PlayerManager::singletonPtr_s = 0;
+    ManageScopedSingleton(PlayerManager, ScopeID::Root);
 
     PlayerManager::PlayerManager()
Index: code/branches/core5/src/orxonox/PlayerManager.h
===================================================================
--- code/branches/core5/src/orxonox/PlayerManager.h	(revision 5863)
+++ code/branches/core5/src/orxonox/PlayerManager.h	(revision 5867)
@@ -34,12 +34,12 @@
 #include <cassert>
 #include <map>
-#include "util/ScopedSingleton.h"
+#include "util/Singleton.h"
 #include "network/ClientConnectionListener.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport PlayerManager : public ScopedSingleton<PlayerManager, ScopeID::Root>, public ClientConnectionListener
+    class _OrxonoxExport PlayerManager : public Singleton<PlayerManager>, public ClientConnectionListener
     {
-            friend class ScopedSingleton<PlayerManager, ScopeID::Root>;
+            friend class Singleton<PlayerManager>;
         public:
             PlayerManager();
Index: code/branches/core5/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- code/branches/core5/src/orxonox/overlays/InGameConsole.cc	(revision 5863)
+++ code/branches/core5/src/orxonox/overlays/InGameConsole.cc	(revision 5867)
@@ -48,4 +48,5 @@
 #include "core/ConfigValueIncludes.h"
 #include "core/ConsoleCommand.h"
+#include "core/ScopedSingletonManager.h"
 #include "core/input/InputManager.h"
 #include "core/input/InputState.h"
@@ -61,4 +62,5 @@
 
     InGameConsole* InGameConsole::singletonPtr_s = 0;
+    ManageScopedSingleton(InGameConsole, ScopeID::Graphics);
 
     /**
Index: code/branches/core5/src/orxonox/overlays/InGameConsole.h
===================================================================
--- code/branches/core5/src/orxonox/overlays/InGameConsole.h	(revision 5863)
+++ code/branches/core5/src/orxonox/overlays/InGameConsole.h	(revision 5867)
@@ -36,5 +36,5 @@
 
 #include "util/OgreForwardRefs.h"
-#include "util/ScopedSingleton.h"
+#include "util/Singleton.h"
 #include "core/Shell.h"
 #include "core/WindowEventListener.h"
@@ -42,7 +42,7 @@
 namespace orxonox
 {
-    class _OrxonoxExport InGameConsole : public ScopedSingleton<InGameConsole, ScopeID::Graphics>, public ShellListener, public WindowEventListener
+    class _OrxonoxExport InGameConsole : public Singleton<InGameConsole>, public ShellListener, public WindowEventListener
     {
-        friend class ScopedSingleton<InGameConsole, ScopeID::Graphics>;
+        friend class Singleton<InGameConsole>;
     public: // functions
         InGameConsole();
Index: code/branches/core5/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/core5/src/orxonox/sound/SoundManager.cc	(revision 5863)
+++ code/branches/core5/src/orxonox/sound/SoundManager.cc	(revision 5867)
@@ -32,4 +32,5 @@
 
 #include "util/Math.h"
+#include "core/ScopedSingletonManager.h"
 #include "CameraManager.h"
 #include "graphics/Camera.h"
@@ -39,4 +40,5 @@
 {
     SoundManager* SoundManager::singletonPtr_s = NULL;
+    ManageScopedSingleton(SoundManager, ScopeID::Graphics);
 
     /**
Index: code/branches/core5/src/orxonox/sound/SoundManager.h
===================================================================
--- code/branches/core5/src/orxonox/sound/SoundManager.h	(revision 5863)
+++ code/branches/core5/src/orxonox/sound/SoundManager.h	(revision 5867)
@@ -32,5 +32,5 @@
 #include <cassert>
 #include <list>
-#include "util/ScopedSingleton.h"
+#include "util/Singleton.h"
 #include "tools/interfaces/Tickable.h"
 
@@ -43,7 +43,7 @@
      *
      */
-    class _OrxonoxExport SoundManager : public ScopedSingleton<SoundManager, ScopeID::Graphics>, public Tickable
+    class _OrxonoxExport SoundManager : public Singleton<SoundManager>, public Tickable
     {
-        friend class ScopedSingleton<SoundManager, ScopeID::Graphics>;
+        friend class Singleton<SoundManager>;
     public:
         SoundManager();
